<?php
use function Piko\I18n\__;

assert($this instanceof Piko\View);

/**
 * @var $message boolean | array
 * @var $canRegister boolean
 */

$this->title = __('user', 'Login');
$this->params['breadcrumbs'][] = $this->title;

if (is_array($message)) {
    $this->params['message'] = $message;
}

?>

<main class="form-signin w-100 m-auto">

  <form action="<?= $this->getUrl('user/default/login') ?>" id="login-form" method="post">
    <h1 class="h3 mb-3 fw-normal"><?= $this->title ?></h1>

    <div class="form-floating">
      <input type="text" class="form-control" id="username" name="username" autofocus="autofocus" aria-required="true"
              aria-invalid="true">
      <label for="username"><?= __('user', 'Username') ?></label>
    </div>
    <div class="form-floating">
      <input type="password" class="form-control" id="loginform-password"  name="password" value="" aria-required="true">
      <label for="loginform-password"><?= __('user', 'Password') ?></label>
    </div>

    <button class="btn btn-primary w-100 py-2" type="submit"><?= __('user', 'Login') ?></button>
    <p class="mt-5 mb-3 text-body-secondary">&copy; 2017–2023</p>


    <!--
    <div class="form-group row">
          <label class="col-sm-3 col-form-label" for="loginform-username"><?= __('user', 'Username') ?></label>
          <div class="col-sm-9">
            <input type="text" id="username" class="form-control" name="username" autofocus="autofocus" aria-required="true"
              aria-invalid="true">
          </div>
        </div>

        <div class="form-group row">
          <label class="col-sm-3 col-form-label" for="loginform-password"><?= __('user', 'Password') ?></label>
          <div class="col-sm-9">
            <input type="password" id="loginform-password" class="form-control" name="password" value="" aria-required="true">
          </div>
        </div>

        <div class="form-group">

          <div class="offset-sm-3 col-sm-9">
            <button type="submit" class="btn btn-primary" name="login-button"><?= __('user', 'Login') ?></button>
          </div>
        </div>
-->
  </form>

  <?php if ($canRegister): ?>

    <div class="p-3 border bg-light text-dark">
      <p><?= __('user', 'No account yet?') ?></p>
      <p><a href="<?= $this->getUrl('user/default/register')?>" class="btn btn-primary"><?= __('user', 'Register') ?></a></p>
      <hr>
      <p><a href="<?= $this->getUrl('user/default/reminder')?>"><?= __('user', 'Forget password?') ?></a></p>
    </div>

  <?php endif ?>
  </main>



