<?php
use function Piko\I18n\__;

assert($this instanceof Piko\View);

/* @var $message array */
/* @var $reminder string */

$this->title = __('user', 'Forget password');

if (is_array($message)) {
    $this->params['message'] = $message;
}

?>

<main class="form-reminder w-100 m-auto">

  <h1 class="h3"><?= $this->title ?></h1>

  <?php if (!empty($message)): ?>
  <div class="container alert alert-<?= $message['type'] ?> alert-dismissible fade show" role="alert">
    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
    <?= $message['content'] ?>
  </div>
  <?php endif ?>

  <form method="post" id="reminder-form" novalidate>
    <div class="form-floating">
      <input type="text"
            class="form-control"
            id="reminder"
            name="reminder"
            value="<?= $reminder ?>"
            autocomplete="off"
            placeholder="<?= __('user', 'Your email or your username') ?>">
      <label for="reminder"><?= __('user', 'Your email or your username') ?></label>
    </div>
  <p class="my-2">
      <button type="submit" class="btn btn-primary"><?= __('user', 'Send') ?></button>
  </p>
</form>

</main>




